New LiquidCrystal library 1.3.2 Generic LCD control library

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
LiquidCrystal_SR3W Class Reference
Inheritance diagram for LiquidCrystal_SR3W:

## Public Member Functions
| LiquidCrystal_SR3W (uint8_t data, uint8_t clk, uint8_t strobe)
| LiquidCrystal_SR3W (uint8_t data, uint8_t clk, uint8_t strobe, uint8_t backlighPin, t_backlighPol pol)
| LiquidCrystal_SR3W (uint8_t data, uint8_t clk, uint8_t strobe, uint8_t En, uint8_t Rw, uint8_t Rs, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7)
| LiquidCrystal_SR3W (uint8_t data, uint8_t clk, uint8_t strobe, uint8_t En, uint8_t Rw, uint8_t Rs, uint8_t d4, uint8_t d5, uint8_t d6, uint8_t d7, uint8_t backlighPin, t_backlighPol pol)
virtual void | send (uint8_t value, uint8_t mode)
void | setBacklightPin (uint8_t value, t_backlighPol pol)
void | setBacklight (uint8_t value)
Public Member Functions inherited from LCD
| LCD ()
virtual void | begin (uint8_t cols, uint8_t rows, uint8_t charsize=LCD_5x8DOTS)
void | clear ()
void | home ()
void | noDisplay ()
void | display ()
void | noBlink ()
void | blink ()
void | noCursor ()
void | cursor ()
void | scrollDisplayLeft ()
void | scrollDisplayRight ()
void | leftToRight ()
void | rightToLeft ()
void | moveCursorLeft ()
void | moveCursorRight ()
void | autoscroll ()
void | noAutoscroll ()
void | createChar (uint8_t location, uint8_t charmap[])
void | setCursor (uint8_t col, uint8_t row)
void | backlight (void)
void | noBacklight (void)
void | on (void)
void | off (void)
virtual void | write (uint8_t value)

## Additional Inherited Members
Protected Attributes inherited from LCD
uint8_t | _displayfunction
uint8_t | _displaycontrol
uint8_t | _displaymode
uint8_t | _numlines
uint8_t | _cols
t_backlighPol | _polarity

## Constructor & Destructor Documentation

LiquidCrystal_SR3W::LiquidCrystal_SR3W | ( | uint8_t | data,
|  | uint8_t | clk,
|  | uint8_t | strobe
| ) |  |

Class constructor. Initializes class variables and defines the IO driving the shift register. The constructor does not initialize the LCD. Default configuration: Shift register LCD QA - 0 DB4 QB - 1 DB5 QC - 2 DB6 QD - 3 DB7 QE - 4 E QF - 5 QG - 6 Rs GND Rw

Parameters

  strobe[in] | digital IO connected to shiftregister strobe pin.
  data[in] | digital IO connected to the shiftregister data pin.
  clk[in] | digital IO connected to the shiftregister clock pin.

LiquidCrystal_SR3W::LiquidCrystal_SR3W | ( | uint8_t | data,
|  | uint8_t | clk,
|  | uint8_t | strobe,
|  | uint8_t | En,
|  | uint8_t | Rw,
|  | uint8_t | Rs,
|  | uint8_t | d4,
|  | uint8_t | d5,
|  | uint8_t | d6,
|  | uint8_t | d7
| ) |  |

Class constructor. Initializes class variables and defines the control lines of the LCD and the shiftregister. The constructor does not initialize the LCD.

Parameters

  strobe[in] | digital IO connected to shiftregister strobe pin.
  data[in] | digital IO connected to shiftregister data pin.
  clk[in] | digital IO connected to shiftregister clock pin.
  En[in] | LCD En (Enable) pin connected to SR output pin.
  Rw[in] | LCD Rw (Read/write) pin connected to SR output pin.
  Rs[in] | LCD Rs (Reg Select) pin connected to SR output pin.
  d4[in] | LCD data 4 pin map to the SR output pin.
  d5[in] | LCD data 5 pin map to the SR output pin.
  d6[in] | LCD data 6 pin map to the SR output pin.
  d7[in] | LCD data 7 pin map to the SR output pin.

## Member Function Documentation

void LiquidCrystal_SR3W::send | ( | uint8_t | value,
|  | uint8_t | mode
| ) |  |
| virtual

Send a particular value to the LCD. Sends a particular value to the LCD for writing to the LCD or as an LCD command.

Users should never call this method.

Parameters

  value[in] | Value to send to the LCD.
  mode[in] | DATA - write to the LCD CGRAM, COMMAND - write a command to the LCD.

Reimplemented from LCD.

void LiquidCrystal_SR3W::setBacklight | ( | uint8_t | value | ) |
| virtual

Switch-on/off the LCD backlight. Switch-on/off the LCD backlight. The setBacklightPin has to be called before setting the backlight for this method to work.

See also
  setBacklightPin.

Parameters

  value | backlight mode (HIGH|LOW)

Reimplemented from LCD.

void LiquidCrystal_SR3W::setBacklightPin | ( | uint8_t | value,
|  | t_backlighPol | pol = `POSITIVE`
| ) |  |
| virtual

Sets the pin to control the backlight. Sets the pin in the device to control the backlight. This device doesn't support dimming backlight capability.

Parameters

  value | pin mapped on the 74HC595N (0, .., 7) for (Qa0, .., Qh7) respectively.
  pol | polarity POSITIVE|NEGATIVE.

Reimplemented from LCD.

The documentation for this class was generated from the following files:

- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/LiquidCrystal_SR3W.h
- /Users/fmalpartida/Documents/development/mercurial repos/SW/NewliquidCrystal/LiquidCrystal_SR3W.cpp